def P(U,V):
    return sum(x*y for x,y in zip(U,V))
def m(A,B):
    return [(x+y)/2 for x,y in zip(A,B)]
def v(A,B):
    return [y-x for x,y in zip(A,B)]
A=[0,3]
B=[5,2]
M=[2,1.4]
if P(v(A,B),v(m(A,B),M))==0:
    a='M est sur la médiatrice de [AB]'
else:
    a="M n'est sur la médiatrice de [AB]"
print(a)
